目录

一、安装Ohmyzsh

1、执行命令:

2、手动安装

二、配置主题

三、配置插件

1、增加高亮插件zsh-syntax-highlighting

2、增加自动提示插件zsh-autosuggestions

四、推荐命令行工具

1、iterm2

2、hyper


官网:Oh My Zsh - a delightful & open source framework for Zshhttps://ohmyz.sh/

一、安装Ohmyzsh

官网安装教程:Oh My Zsh - a delightful & open source framework for ZshzzOh-My-Zsh is a delightful, open source, community-driven framework for managing your ZSH configuration.https://ohmyz.sh/#install

需要能连接到github(解决git clone超时问题见:https://blog.csdn.net/CaptainJava/article/details/121119176https://blog.csdn.net/CaptainJava/article/details/121119176)

1、执行命令:

$ sh -c "$(curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"

2、手动安装

如果链接不到这个网址 可以通过浏览器打开这个地址,把内容报错下来,或者复制一下内容报错为install.sh:

#!/bin/sh
#
# This script should be run via curl:
#   sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
# or via wget:
#   sh -c "$(wget -qO- https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
# or via fetch:
#   sh -c "$(fetch -o - https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
#
# As an alternative, you can first download the install script and run it afterwards:
#   wget https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh
#   sh install.sh
#
# You can tweak the install behavior by setting variables when running the script. For
# example, to change the path to the Oh My Zsh repository:
#   ZSH=~/.zsh sh install.sh
#
# Respects the following environment variables:
#   ZSH     - path to the Oh My Zsh repository folder (default: $HOME/.oh-my-zsh)
#   REPO    - name of the GitHub repo to install from (default: ohmyzsh/ohmyzsh)
#   REMOTE  - full remote URL of the git repo to install (default: GitHub via HTTPS)
#   BRANCH  - branch to check out immediately after install (default: master)
#
# Other options:
#   CHSH       - 'no' means the installer will not change the default shell (default: yes)
#   RUNZSH     - 'no' means the installer will not run zsh after the install (default: yes)
#   KEEP_ZSHRC - 'yes' means the installer will not replace an existing .zshrc (default: no)
#
# You can also pass some arguments to the install script to set some these options:
#   --skip-chsh: has the same behavior as setting CHSH to 'no'
#   --unattended: sets both CHSH and RUNZSH to 'no'
#   --keep-zshrc: sets KEEP_ZSHRC to 'yes'
# For example:
#   sh install.sh --unattended
# or:
#   sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" "" --unattended
#
set -e# Track if $ZSH was provided
custom_zsh=${ZSH:+yes}# Default settings
ZSH=${ZSH:-~/.oh-my-zsh}
REPO=${REPO:-ohmyzsh/ohmyzsh}
REMOTE=${REMOTE:-https://github.com/${REPO}.git}
BRANCH=${BRANCH:-master}# Other options
CHSH=${CHSH:-yes}
RUNZSH=${RUNZSH:-yes}
KEEP_ZSHRC=${KEEP_ZSHRC:-no}command_exists() {command -v "$@" >/dev/null 2>&1
}# The [ -t 1 ] check only works when the function is not called from
# a subshell (like in `$(...)` or `(...)`, so this hack redefines the
# function at the top level to always return false when stdout is not
# a tty.
if [ -t 1 ]; thenis_tty() {true}
elseis_tty() {false}
fi# This function uses the logic from supports-hyperlinks[1][2], which is
# made by Kat Marchán (@zkat) and licensed under the Apache License 2.0.
# [1] https://github.com/zkat/supports-hyperlinks
# [2] https://crates.io/crates/supports-hyperlinks
#
# Copyright (c) 2021 Kat Marchán
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
supports_hyperlinks() {# $FORCE_HYPERLINK must be set and be non-zero (this acts as a logic bypass)if [ -n "$FORCE_HYPERLINK" ]; then[ "$FORCE_HYPERLINK" != 0 ]return $?fi# If stdout is not a tty, it doesn't support hyperlinksis_tty || return 1# DomTerm terminal emulator (domterm.org)if [ -n "$DOMTERM" ]; thenreturn 0fi# VTE-based terminals above v0.50 (Gnome Terminal, Guake, ROXTerm, etc)if [ -n "$VTE_VERSION" ]; then[ $VTE_VERSION -ge 5000 ]return $?fi# If $TERM_PROGRAM is set, these terminals support hyperlinkscase "$TERM_PROGRAM" inHyper|iTerm.app|terminology|WezTerm) return 0 ;;esac# kitty supports hyperlinksif [ "$TERM" = xterm-kitty ]; thenreturn 0fi# Windows Terminal or Konsole also support hyperlinksif [ -n "$WT_SESSION" ] || [ -n "$KONSOLE_VERSION" ]; thenreturn 0fireturn 1
}fmt_link() {# $1: text, $2: url, $3: fallback modeif supports_hyperlinks; thenprintf '\033]8;;%s\a%s\033]8;;\a\n' "$2" "$1"returnficase "$3" in--text) printf '%s\n' "$1" ;;--url|*) fmt_underline "$2" ;;esac
}fmt_underline() {is_tty && printf '\033[4m%s\033[24m\n' "$*" || printf '%s\n' "$*"
}# shellcheck disable=SC2016 # backtick in single-quote
fmt_code() {is_tty && printf '`\033[2m%s\033[22m`\n' "$*" || printf '`%s`\n' "$*"
}fmt_error() {printf '%sError: %s%s\n' "$BOLD$RED" "$*" "$RESET" >&2
}setup_color() {# Only use colors if connected to a terminalif is_tty; thenRAINBOW="$(printf '\033[38;5;196m')$(printf '\033[38;5;202m')$(printf '\033[38;5;226m')$(printf '\033[38;5;082m')$(printf '\033[38;5;021m')$(printf '\033[38;5;093m')$(printf '\033[38;5;163m')"RED=$(printf '\033[31m')GREEN=$(printf '\033[32m')YELLOW=$(printf '\033[33m')BLUE=$(printf '\033[34m')BOLD=$(printf '\033[1m')RESET=$(printf '\033[m')elseRAINBOW=""RED=""GREEN=""YELLOW=""BLUE=""BOLD=""RESET=""fi
}setup_ohmyzsh() {# Prevent the cloned repository from having insecure permissions. Failing to do# so causes compinit() calls to fail with "command not found: compdef" errors# for users with insecure umasks (e.g., "002", allowing group writability). Note# that this will be ignored under Cygwin by default, as Windows ACLs take# precedence over umasks except for filesystems mounted with option "noacl".umask g-w,o-wecho "${BLUE}Cloning Oh My Zsh...${RESET}"command_exists git || {fmt_error "git is not installed"exit 1}ostype=$(uname)if [ -z "${ostype%CYGWIN*}" ] && git --version | grep -q msysgit; thenfmt_error "Windows/MSYS Git is not supported on Cygwin"fmt_error "Make sure the Cygwin git package is installed and is first on the \$PATH"exit 1figit clone -c core.eol=lf -c core.autocrlf=false \-c fsck.zeroPaddedFilemode=ignore \-c fetch.fsck.zeroPaddedFilemode=ignore \-c receive.fsck.zeroPaddedFilemode=ignore \-c oh-my-zsh.remote=origin \-c oh-my-zsh.branch="$BRANCH" \--depth=1 --branch "$BRANCH" "$REMOTE" "$ZSH" || {fmt_error "git clone of oh-my-zsh repo failed"exit 1}echo
}setup_zshrc() {# Keep most recent old .zshrc at .zshrc.pre-oh-my-zsh, and older ones# with datestamp of installation that moved them aside, so we never actually# destroy a user's original zshrcecho "${BLUE}Looking for an existing zsh config...${RESET}"# Must use this exact name so uninstall.sh can find itOLD_ZSHRC=~/.zshrc.pre-oh-my-zshif [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then# Skip this if the user doesn't want to replace an existing .zshrcif [ "$KEEP_ZSHRC" = yes ]; thenecho "${YELLOW}Found ~/.zshrc.${RESET} ${GREEN}Keeping...${RESET}"returnfiif [ -e "$OLD_ZSHRC" ]; thenOLD_OLD_ZSHRC="${OLD_ZSHRC}-$(date +%Y-%m-%d_%H-%M-%S)"if [ -e "$OLD_OLD_ZSHRC" ]; thenfmt_error "$OLD_OLD_ZSHRC exists. Can't back up ${OLD_ZSHRC}"fmt_error "re-run the installer again in a couple of seconds"exit 1fimv "$OLD_ZSHRC" "${OLD_OLD_ZSHRC}"echo "${YELLOW}Found old ~/.zshrc.pre-oh-my-zsh." \"${GREEN}Backing up to ${OLD_OLD_ZSHRC}${RESET}"fiecho "${YELLOW}Found ~/.zshrc.${RESET} ${GREEN}Backing up to ${OLD_ZSHRC}${RESET}"mv ~/.zshrc "$OLD_ZSHRC"fiecho "${GREEN}Using the Oh My Zsh template file and adding it to ~/.zshrc.${RESET}"sed "/^export ZSH=/ c\\
export ZSH=\"$ZSH\"
" "$ZSH/templates/zshrc.zsh-template" > ~/.zshrc-omztempmv -f ~/.zshrc-omztemp ~/.zshrcecho
}setup_shell() {# Skip setup if the user wants or stdin is closed (not running interactively).if [ "$CHSH" = no ]; thenreturnfi# If this user's login shell is already "zsh", do not attempt to switch.if [ "$(basename -- "$SHELL")" = "zsh" ]; thenreturnfi# If this platform doesn't provide a "chsh" command, bail out.if ! command_exists chsh; thencat <<EOF
I can't change your shell automatically because this system does not have chsh.
${BLUE}Please manually change your default shell to zsh${RESET}
EOFreturnfiecho "${BLUE}Time to change your default shell to zsh:${RESET}"# Prompt for user choice on changing the default login shellprintf '%sDo you want to change your default shell to zsh? [Y/n]%s ' \"$YELLOW" "$RESET"read -r optcase $opt iny*|Y*|"") echo "Changing the shell..." ;;n*|N*) echo "Shell change skipped."; return ;;*) echo "Invalid choice. Shell change skipped."; return ;;esac# Check if we're running on Termuxcase "$PREFIX" in*com.termux*) termux=true; zsh=zsh ;;*) termux=false ;;esacif [ "$termux" != true ]; then# Test for the right location of the "shells" fileif [ -f /etc/shells ]; thenshells_file=/etc/shellselif [ -f /usr/share/defaults/etc/shells ]; then # Solus OSshells_file=/usr/share/defaults/etc/shellselsefmt_error "could not find /etc/shells file. Change your default shell manually."returnfi# Get the path to the right zsh binary# 1. Use the most preceding one based on $PATH, then check that it's in the shells file# 2. If that fails, get a zsh path from the shells file, then check it actually existsif ! zsh=$(command -v zsh) || ! grep -qx "$zsh" "$shells_file"; thenif ! zsh=$(grep '^/.*/zsh$' "$shells_file" | tail -1) || [ ! -f "$zsh" ]; thenfmt_error "no zsh binary found or not present in '$shells_file'"fmt_error "change your default shell manually."returnfififi# We're going to change the default shell, so back up the current oneif [ -n "$SHELL" ]; thenecho "$SHELL" > ~/.shell.pre-oh-my-zshelsegrep "^$USERNAME:" /etc/passwd | awk -F: '{print $7}' > ~/.shell.pre-oh-my-zshfi# Actually change the default shell to zshif ! chsh -s "$zsh"; thenfmt_error "chsh command unsuccessful. Change your default shell manually."elseexport SHELL="$zsh"echo "${GREEN}Shell successfully changed to '$zsh'.${RESET}"fiecho
}# shellcheck disable=SC2183  # printf string has more %s than arguments ($RAINBOW expands to multiple arguments)
print_success() {printf '%s         %s__      %s           %s        %s       %s     %s__   %s\n' $RAINBOW $RESETprintf '%s  ____  %s/ /_    %s ____ ___  %s__  __  %s ____  %s_____%s/ /_  %s\n' $RAINBOW $RESETprintf '%s / __ \%s/ __ \  %s / __ `__ \%s/ / / / %s /_  / %s/ ___/%s __ \ %s\n' $RAINBOW $RESETprintf '%s/ /_/ /%s / / / %s / / / / / /%s /_/ / %s   / /_%s(__  )%s / / / %s\n' $RAINBOW $RESETprintf '%s\____/%s_/ /_/ %s /_/ /_/ /_/%s\__, / %s   /___/%s____/%s_/ /_/  %s\n' $RAINBOW $RESETprintf '%s    %s        %s           %s /____/ %s       %s     %s          %s....is now installed!%s\n' $RAINBOW $GREEN $RESETprintf '\n'printf '\n'printf "%s %s %s\n" "Before you scream ${BOLD}${YELLOW}Oh My Zsh!${RESET} look over the" \"$(fmt_code "$(fmt_link ".zshrc" "file://$HOME/.zshrc" --text)")" \"file to select plugins, themes, and options."printf '\n'printf '%s\n' "• Follow us on Twitter: $(fmt_link @ohmyzsh https://twitter.com/ohmyzsh)"printf '%s\n' "• Join our Discord community: $(fmt_link "Discord server" https://discord.gg/ohmyzsh)"printf '%s\n' "• Get stickers, t-shirts, coffee mugs and more: $(fmt_link "Planet Argon Shop" https://shop.planetargon.com/collections/oh-my-zsh)"printf '%s\n' $RESET
}main() {# Run as unattended if stdin is not a ttyif [ ! -t 0 ]; thenRUNZSH=noCHSH=nofi# Parse argumentswhile [ $# -gt 0 ]; docase $1 in--unattended) RUNZSH=no; CHSH=no ;;--skip-chsh) CHSH=no ;;--keep-zshrc) KEEP_ZSHRC=yes ;;esacshiftdonesetup_colorif ! command_exists zsh; thenecho "${YELLOW}Zsh is not installed.${RESET} Please install zsh first."exit 1fiif [ -d "$ZSH" ]; thenecho "${YELLOW}The \$ZSH folder already exists ($ZSH).${RESET}"if [ "$custom_zsh" = yes ]; thencat <<EOFYou ran the installer with the \$ZSH setting or the \$ZSH variable is
exported. You have 3 options:1. Unset the ZSH variable when calling the installer:$(fmt_code "ZSH= sh install.sh")
2. Install Oh My Zsh to a directory that doesn't exist yet:$(fmt_code "ZSH=path/to/new/ohmyzsh/folder sh install.sh")
3. (Caution) If the folder doesn't contain important information,you can just remove it with $(fmt_code "rm -r $ZSH")EOFelseecho "You'll need to remove it if you want to reinstall."fiexit 1fisetup_ohmyzshsetup_zshrcsetup_shellprint_successif [ $RUNZSH = no ]; thenecho "${YELLOW}Run zsh to try it out.${RESET}"exitfiexec zsh -l
}main "$@"

然后给install.sh文件赋可执行权限

chmod +x install.sh

执行安装:

./install.sh

二、配置主题

自带主题示例:

https://github.com/ohmyzsh/ohmyzsh/wiki/Themeshttps://github.com/ohmyzsh/ohmyzsh/wiki/Themes

默认主题目录:~/.oh-my-zsh/themes

自定义主题目录:~/.oh-my-zsh/custom/themes

自定义插件优先加载,如果没内有在加载默认目录中的主题,建议自己下载的主题下载到自定义目录中

自带主题所在目录:

/Users/tanker/.oh-my-zsh/themes

设置方法:

修改配置文件

~/.zshrc

修改内容如下:

# 默认主题
# ZSH_THEME="robbyrussell"
# 随机主题
#ZSH_THEME="random"ZSH_THEME="cloud"

也可以设置随机主题,每次开启窗口或者source是会自动切换,设置方式如下:

ZSH_THEME="random"

切换后会提示当前使用主题,如:

[oh-my-zsh] Random theme 'cloud' loaded

三、配置插件

说明:

默认插件目录:~/.oh-my-zsh/plugins

自定义插件目录:~/.oh-my-zsh/custom/plugins

自定义插件优先加载,如果没内有在加载默认目录中的插件,建议自己下载的插件下载到自定义目录中

以下插件可以通过手动git clone至插件目录或者通过一下命令

1、增加高亮插件zsh-syntax-highlighting

git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting

修改~/.zshrc文件中配置:(插件间加空格)

plugins=(其他的插件 zsh-syntax-highlighting)

2、增加自动提示插件zsh-autosuggestions

git clone https://github.com/zsh-users/zsh-autosuggestions $ZSH_CUSTOM/plugins/zsh-autosuggestions

修改~/.zshrc文件中配置:

plugins=(其他的插件 zsh-autosuggestions)

最终:

plugins=(git zsh-autosuggestions zsh-syntax-highlighting per-directory-history command-not-found safe-paste history-substring-search)

插件推荐:mac上使用oh my zsh有哪些必备的插件推荐? - 知乎

四、推荐命令行工具

1、iterm2

2、hyper

Hyper™A terminal built on web technologieshttps://hyper.is/

mac安装ohmyzsh相关推荐

  1. mac安装oh-my-zsh出现command not found: npm问题解决

    在安装完oh-my-zsh以后新建终端输入node或是npm会出现command not found:npm的情况,原因是因为不能够找到npm的环境,一开始我参考了一下网上的一些博客的方法,有点醉,完 ...

  2. Mac安装oh-my-zsh更改终端背景

    背景 目前Mac自带的终端不是很好用,好多常规的Linux命令都不支持 比如:ll命令:那么我们可以安装第三方的终端 安装 国内地址: sh -c "$(curl -fsSL https:/ ...

  3. Mac 安装oh-my-zsh

    一个简单的安装教程,记录基本步骤和踩坑记录,方便以后自己查看,也希望能帮到别人 常规的安装流程 # 1.下载安装shell脚本 $ sh -c "$(curl -fsSL https://r ...

  4. Mac安装oh-my-zsh网络错误curl: (35) LibreSSL SSL_connect: SSL_ERROR_SYSCALL in connection to raw.github解决方案

    阅读导航 一.官网安装方法 二.安装过程报错 三.有效解决方案 1. 复制install.sh安装脚本内容 2. 新建脚本文件粘贴脚本内容 3. 添加执行权限并安装 4. 删除无用的安装脚本 一.官网 ...

  5. Mac安装 ohmyzsh发生443错误

    网上查找是因为此地址被墙,无法使用,切换为国内地址 sh -c "$(curl -fsSL https://gitee.com/shmhlsy/oh-my-zsh-install.sh/ra ...

  6. mac 怎样切换 node 版本 , 如何安装oh-my-zsh

    mac怎样安装node https://nodejs.org/en/ node安装的时候会自带npm 如果出现版本信息就说明安装成功. 查看版本 node-v npm -v mac 怎样切换 node ...

  7. Apple芯片Mac安装ARM版Win10完美教程(结尾附视频)

    写在前面:博主是一只经过实战开发历练后投身培训事业的"小山猪",昵称取自动画片<狮子王>中的"彭彭",总是以乐观.积极的心态对待周边的事物.本人的技 ...

  8. mac安装配置zsh

    mac安装配置zsh 比mac自带的shell好用太多 一.安装homebrew 参考:https://brew.sh/index_zh-cn /bin/bash -c "$(curl -f ...

  9. Mac 配置oh-my-zsh美化Terminal(可用zsh下载链接)

    Mac 配置oh-my-zsh美化Terminal 下载oh my zsh (官网给的链接会显示连接错误) sh -c "$(curl -fsSL https://gitee.com/mir ...

最新文章

  1. LeetCode House Robber II(动态规划)
  2. 一个利用Dataflow实现的Actor
  3. [转] Web前端优化之 内容篇
  4. 品优购dubbox文档bug连环计,还是自己敲最实在!!!!!!
  5. Mysql 8备份工具mysqlbackup下载安装图解
  6. 太阳能充电调节代码_太阳能LED路灯控制器有什么作用
  7. ​Go 能取代 Java,成为下一个 10 年的王者吗?​
  8. 关于rxjs里operators filter和map的详细讨论
  9. Listener监听器与Filter过滤器
  10. 构建ASP.NET MVC5+EF6+EasyUI 1.4.3+Unity4.x注入的后台管理系统(52)-美化EasyUI皮肤和图标
  11. 爱奇艺推出国际娱乐服务iQIYI App:科技和内容同时出海 携手Astro展开马来西亚地区本土化运营...
  12. POJ3287(BFS水题)
  13. Solr常用查询语法笔记
  14. Java极简算法-二分查找(log n)
  15. MySql设置远程连接
  16. Selenium WebDriver高级应用
  17. Mac 维修前的准备工作你都知道吗?
  18. 案例-旋转中心(CSS3)
  19. 银行资产负债表-分科目详细解释
  20. pay支付老是显示服务器出错,Apple Pay服务器崩溃!真爱粉:没事,后半夜估计可以了...

热门文章

  1. 【软件入门】STM32CubeMX快速入门
  2. 为啥无线随身设备显示无服务器,随身WiFi怎么用_移动wifi怎么用【图文】-太平洋IT百科...
  3. 企业大数据平台一:企业需求及相关的基本组件
  4. js实现密度单位转换代码怎么写
  5. Fast and Accurate Partial Fourier Transform for Time Series Data
  6. 记录下编译u-boot提示错误:stdio.c:252: undefined reference to `serial_putc'的处理
  7. mysql pager cat_MySQL 操作命令梳理(3)-pager
  8. Mac - eclipse中缺少project facets解决办法
  9. 全网多种方法解决[rejected] master -> master (fetch first)的错误
  10. c语言光显示算法,[转载]C语言常见算法